{% for movie in movies %}
    {{ include('components/movie-card.html.twig') }}
{% endfor %}

{% block javascripts %}
    <script>
        $(document).ready(function() {
            var self = '';
            $('.follow-link').click(function () {
                self = $(this);
                $(this).css("color") == "rgb(248, 249, 250)" ? saveFav($(this).data('id')) : removeFav($(this).data('id'));
            })

            function saveFav(param) {
                let customUrl = '{{ path('app_addFav', {'id': 'PARAM'}) }}';
                customUrl = customUrl.replace('PARAM', param);
                jQuery.ajax({
                    type: 'GET',
                    url: customUrl,
                    success: function (response) {
                        self.addClass('favorite');
                    },
                    error: function (response) {
                    }
                });
            }

            function removeFav(param) {
                let customUrl = '{{ path('app_removeFav', {'id': 'PARAM'}) }}';
                customUrl = customUrl.replace('PARAM', param);
                jQuery.ajax({
                    type: 'GET',
                    url: customUrl,
                    success: function (response) {
                        if (jQuery('#user-movie-list').length) {
                            self.parent().parent().parent().parent().parent().remove();
                            $('.tooltip').tooltip('hide');
                        } else {
                            self.removeClass('favorite');
                        }
                    },
                    error: function (response) {
                    }
                });

            }
        });
    </script>
{% endblock %}